
# HYDROMED

A Jupyter Notebook and Python Script to build a consolidated and qualified dataset with physico-chemical measurements on the surface of the North Western Mediterranean sea, taken from publicly available datasets.

The Markdown cells in the notebook detail where the original data is retrieved from and all the steps that perform the filtering, qualification and aggregation steps.
Some graphical and tabular output is produced allowing to check the overall validity of different steps.


## Installation

HYDROMED can be run either as an independent Python script or as a Jupyter Notebook. The [requirements.txt](requirements.txt) file provides the list of components that are needed to run the script or notebook.

    
## Usage/Examples

The HYDROMED notebook can be run "as is". When first run, it will download the two primary datasets, apply all the cleaning, filtering and qualification steps and generate an output file with the consolidated result table.

The Markdown documentation in the notebook gives a detailed description of every step.



## Authors

- [Mark HOEBEKE](https://orcid.org/0000-0001-6311-9752)
- Aurélien SCHMITT


## License

HYDROMED - Copyright (c) 2024 - CNRS, Sorbonne Université

HYDROMED is distributed under the terms of the [GNU GPL V3 License](LICENSE)



## Acknowledgements

Development of the HYDROMED Notebook was carried out in the framwork of the FUTURE-OBS project (ANR-22-POCE-0004)

